<?php
require_once "spyc/spyc.php";
$tweets = Spyc::YAMLLoad('tweets.yaml');
$logs = Spyc::YAMLLoad('logs.yaml');
$task = Array();
$end_task = Array();

for($i = -10; $i <= 10; $i++) {
	$key = date('h-i', strtotime("$i minute"));
	if(!isset($logs[$key]) && isset($tweets[$key]))
		$task[$key] = $tweets[$key];
}

$twitter = new twitterOAuth();
foreach($task as $tweet) {
	$twitter->twitterPost($tweet);
}

for($i = -90; $i <= 90; $i++) {
	$key = date('h-i', strtotime("$i minute"));
	if(isset($logs[$key]))
		$end_task[$key] = $logs[$key];
	if(isset($task[$key]))
		$end_task[$key] = $task[$key];
}

$end_logs_yaml = Spyc::YAMLDump($end_task);
file_put_contents(dirname(__FILE__) . '/logs.yaml', $end_logs_yaml);

class twitterOAuth
{
	const
		CONSUMER_KEY = '1234567890',
		CONSUMER_SECRET = '1234567890',
		ACCESS_TOKEN = 'qwertyuiop',
		ACCESS_SECRET = 'qwertyuiop';
	
	public function __construct()
	{
		set_include_path(dirname(__FILE__) . '/PEAR');
		include 'HTTP/OAuth/Consumer.php';
		$this->consumer = new HTTP_OAuth_Consumer(self::CONSUMER_KEY, self::CONSUMER_SECRET);
	}

	public function twitterPost($status)
	{
		$this->consumer->setToken(self::ACCESS_TOKEN);
		$this->consumer->setTokenSecret(self::ACCESS_SECRET);
		$response = $this->consumer->sendRequest("http://twitter.com/statuses/update.xml", Array('status' => $status), "POST");
	}
}
